<?php

/**
 *
 * INDEXU
 * Copyright(C), Nicecoder, 2000-2006, All Rights Reserved.
 *
 * INDEXU(tm) is protected by Indonesia and International copyright laws.
 * Unauthorized use or distribution of INDEXU(tm) is strictly prohibited,
 * violators will be prosecuted. To obtain a license for using INDEXU(tm),
 * please register at Nicecoder home page at http://www.nicecoder.com
 *
 * Author:
 *    Dody Rachmat Wicaksono (dody@nicecoder.com)
 *    M. Zuber (zubby@nicecoder.com)
 *
 */

  /*===================================================
    ShowFormEditMessage()
  ===================================================*/

  function ShowFormEditMessage() {

    // vars global configuration
    global $category_separator, $admin_template_path;

    // vars url & form
    global $id;

    // vars messages
    global $msg;

    // vars template
    
    $ml_obj = new clsMailingList;
    $ml_obj->table_name = "idx_mailing_list";
    $ml_obj->message_table_name = "idx_message";
    $ml_obj->template_file = $admin_template_path . "message_edit_form.html";
    
    $html = $ml_obj->EditMessage("display_form", $id);

    print $html;
  }


  /*===================================================
    ProcessFormEditMessage()
  ===================================================*/

  function ProcessFormEditMessage() {

    // vars global configuration
    global $category_separator, $admin_template_path;

    // vars url & form
    global $subject, $body, $id;

    // vars messages
    global $msg;

    // vars template
    global $message;

    // verify input

    if(empty($subject)) $error_msg = $msg["20301"];
    elseif(empty($body)) $error_msg = $msg["20302"];

    if(empty($error_msg)) {

      $ml_obj = new clsMailingList;
        $ml_obj->table_name = "idx_mailing_list";
      $ml_obj->message_table_name = "idx_message";
      $ml_obj->EditMessage("process_form",$id,$subject,$body);
      
      $message = $msg["20311"];
    }
    else $message = $error_msg;

    DisplayTemplate($admin_template_path . "message.html", "\$message");
  }


  /*===================================================
    main
  ===================================================*/

  include "../application.php";

  RunPreFilter(__FILE__);

  DisplayTemplate($admin_template_path . "header.html");
  if (empty($pflag)) {
    ShowFormEditMessage();
  }
  elseif ($pflag == 'edit') {
    ProcessFormEditMessage();
  }
  DisplayTemplate($admin_template_path . "footer.html");

  RunPostFilter(__FILE__);

?>